> For the complete documentation index, see [llms.txt](https://offerslook-api.gitbook.io/api-documentation/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://offerslook-api.gitbook.io/api-documentation/networkapi/affiliatepayouts.md).

# Affiliate Payouts

**Adding a new parameter, event\_id, in Affiliate Postback module method. It is compatible with last version, and the default value is 1.**

**Note: In the case of Offer pricing type be CPC, event\_id assignment and Volume Based Tiers would be unavailable. Volume Based Tiers is only available if event\_id=1.**

## Available methods <a href="#available-methods" id="available-methods"></a>

| Methods    | HTTP method | Endpoint                                                                                                                                                                | Description                                           |
| ---------- | ----------- | ----------------------------------------------------------------------------------------------------------------------------------------------------------------------- | ----------------------------------------------------- |
| **Create** |             |                                                                                                                                                                         |                                                       |
|            | POST        | [/v1/affiliate\_payouts](/api-documentation/networkapi/affiliatepayouts/create_a_new_payout_of_the_affiliate.md)                                                        | Create a new payout of the affiliate                  |
|            | POST        | [/v1/affiliate\_payouts/{affiliate\_payout\_id}/affiliate\_tiers](/api-documentation/networkapi/affiliatepayouts/create_volume_based_tiers.md)                          | Create volume based tiers                             |
| **Get**    |             |                                                                                                                                                                         |                                                       |
|            | GET         | [/v1/affiliate\_payouts/{affiliate\_payout\_id}](/api-documentation/networkapi/affiliatepayouts/get_a_payout_of_the_affiliate.md)                                       | Get a payout of the affiliate                         |
|            | GET         | [/v1/affiliate\_payouts/{affiliate\_payout\_id}/affiliate\_tiers](/api-documentation/networkapi/affiliatepayouts/get_affiliate_tier_of_the_affiliate_payout.md)         | Get affiliate tier of the affiliate payout            |
|            | GET         | [/v1/affiliate\_payouts](/api-documentation/networkapi/affiliatepayouts/get_payouts_of_the_affiliate.md)                                                                | Get payouts of the affiliate                          |
| **Delete** |             |                                                                                                                                                                         |                                                       |
|            | DELETE      | [/v1/affiliate\_payouts/{affiliate\_payout\_id}](/api-documentation/networkapi/affiliatepayouts/delete_a_payout_of_the_affiliate.md)                                    | Delete a payout of the affiliate                      |
|            | DELETE      | [/v1/affiliate\_payouts/{affiliate\_payout\_id}/affiliate\_tiers](/api-documentation/networkapi/affiliatepayouts/delete_the_volume_based_tiers_of_the_affiliate_pay.md) | Delete the volume based tiers of the affiliate payout |
| **Edit**   |             |                                                                                                                                                                         |                                                       |
|            | PATCH       | [/v1/affiliate\_payouts/{affiliate\_payout\_id}](/api-documentation/networkapi/affiliatepayouts/update_the_settings_for_an_affiliates_current_payo.md)                  | Update the settings for an affiliate’s current payout |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://offerslook-api.gitbook.io/api-documentation/networkapi/affiliatepayouts.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
